IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/16
Addresses2^112
/64 networks2^48
- Network
fc96::/16- First address
fc96::- Last address
fc96:ffff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
- /64 networks (LANs)
- 281,474,976,710,656 (2^48)
- Full form
fc96:0000:0000:0000:0000:0000:0000:0000- Type
- Unique local (ULA) fc00::/7
Private IPv6, like RFC 1918; usually fd00::/8 - Reverse DNS zone
6.9.c.f.ip6.arpa
Split into smaller subnets
fc96::/16 makes 4,096 subnets of /28; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | fc96::/28 | fc96:f:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | fc96:10::/28 | fc96:1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | fc96:20::/28 | fc96:2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | fc96:30::/28 | fc96:3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | fc96:40::/28 | fc96:4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | fc96:50::/28 | fc96:5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | fc96:60::/28 | fc96:6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | fc96:70::/28 | fc96:7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | fc96:80::/28 | fc96:8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | fc96:90::/28 | fc96:9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | fc96:a0::/28 | fc96:af:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | fc96:b0::/28 | fc96:bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | fc96:c0::/28 | fc96:cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | fc96:d0::/28 | fc96:df:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | fc96:e0::/28 | fc96:ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | fc96:f0::/28 | fc96:ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | fc96:100::/28 | fc96:10f:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | fc96:110::/28 | fc96:11f:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | fc96:120::/28 | fc96:12f:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | fc96:130::/28 | fc96:13f:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | fc96:140::/28 | fc96:14f:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | fc96:150::/28 | fc96:15f:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | fc96:160::/28 | fc96:16f:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | fc96:170::/28 | fc96:17f:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | fc96:180::/28 | fc96:18f:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | fc96:190::/28 | fc96:19f:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | fc96:1a0::/28 | fc96:1af:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | fc96:1b0::/28 | fc96:1bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | fc96:1c0::/28 | fc96:1cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | fc96:1d0::/28 | fc96:1df:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | fc96:1e0::/28 | fc96:1ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | fc96:1f0::/28 | fc96:1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | fc96:200::/28 | fc96:20f:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | fc96:210::/28 | fc96:21f:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | fc96:220::/28 | fc96:22f:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | fc96:230::/28 | fc96:23f:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | fc96:240::/28 | fc96:24f:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | fc96:250::/28 | fc96:25f:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | fc96:260::/28 | fc96:26f:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | fc96:270::/28 | fc96:27f:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | fc96:280::/28 | fc96:28f:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | fc96:290::/28 | fc96:29f:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | fc96:2a0::/28 | fc96:2af:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | fc96:2b0::/28 | fc96:2bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | fc96:2c0::/28 | fc96:2cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | fc96:2d0::/28 | fc96:2df:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | fc96:2e0::/28 | fc96:2ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | fc96:2f0::/28 | fc96:2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | fc96:300::/28 | fc96:30f:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | fc96:310::/28 | fc96:31f:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | fc96:320::/28 | fc96:32f:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | fc96:330::/28 | fc96:33f:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | fc96:340::/28 | fc96:34f:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | fc96:350::/28 | fc96:35f:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | fc96:360::/28 | fc96:36f:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | fc96:370::/28 | fc96:37f:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | fc96:380::/28 | fc96:38f:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | fc96:390::/28 | fc96:39f:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | fc96:3a0::/28 | fc96:3af:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | fc96:3b0::/28 | fc96:3bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | fc96:3c0::/28 | fc96:3cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | fc96:3d0::/28 | fc96:3df:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | fc96:3e0::/28 | fc96:3ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | fc96:3f0::/28 | fc96:3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | fc96:400::/28 | fc96:40f:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | fc96:410::/28 | fc96:41f:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | fc96:420::/28 | fc96:42f:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | fc96:430::/28 | fc96:43f:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | fc96:440::/28 | fc96:44f:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | fc96:450::/28 | fc96:45f:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | fc96:460::/28 | fc96:46f:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | fc96:470::/28 | fc96:47f:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | fc96:480::/28 | fc96:48f:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | fc96:490::/28 | fc96:49f:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | fc96:4a0::/28 | fc96:4af:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | fc96:4b0::/28 | fc96:4bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | fc96:4c0::/28 | fc96:4cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | fc96:4d0::/28 | fc96:4df:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | fc96:4e0::/28 | fc96:4ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | fc96:4f0::/28 | fc96:4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | fc96:500::/28 | fc96:50f:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | fc96:510::/28 | fc96:51f:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | fc96:520::/28 | fc96:52f:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | fc96:530::/28 | fc96:53f:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | fc96:540::/28 | fc96:54f:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | fc96:550::/28 | fc96:55f:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | fc96:560::/28 | fc96:56f:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | fc96:570::/28 | fc96:57f:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | fc96:580::/28 | fc96:58f:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | fc96:590::/28 | fc96:59f:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | fc96:5a0::/28 | fc96:5af:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | fc96:5b0::/28 | fc96:5bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | fc96:5c0::/28 | fc96:5cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | fc96:5d0::/28 | fc96:5df:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | fc96:5e0::/28 | fc96:5ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | fc96:5f0::/28 | fc96:5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | fc96:600::/28 | fc96:60f:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | fc96:610::/28 | fc96:61f:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | fc96:620::/28 | fc96:62f:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | fc96:630::/28 | fc96:63f:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | fc96:640::/28 | fc96:64f:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | fc96:650::/28 | fc96:65f:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | fc96:660::/28 | fc96:66f:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | fc96:670::/28 | fc96:67f:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | fc96:680::/28 | fc96:68f:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | fc96:690::/28 | fc96:69f:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | fc96:6a0::/28 | fc96:6af:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | fc96:6b0::/28 | fc96:6bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | fc96:6c0::/28 | fc96:6cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | fc96:6d0::/28 | fc96:6df:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | fc96:6e0::/28 | fc96:6ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | fc96:6f0::/28 | fc96:6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | fc96:700::/28 | fc96:70f:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | fc96:710::/28 | fc96:71f:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | fc96:720::/28 | fc96:72f:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | fc96:730::/28 | fc96:73f:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | fc96:740::/28 | fc96:74f:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | fc96:750::/28 | fc96:75f:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | fc96:760::/28 | fc96:76f:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | fc96:770::/28 | fc96:77f:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | fc96:780::/28 | fc96:78f:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | fc96:790::/28 | fc96:79f:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | fc96:7a0::/28 | fc96:7af:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | fc96:7b0::/28 | fc96:7bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | fc96:7c0::/28 | fc96:7cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | fc96:7d0::/28 | fc96:7df:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | fc96:7e0::/28 | fc96:7ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | fc96:7f0::/28 | fc96:7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | fc96:800::/28 | fc96:80f:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | fc96:810::/28 | fc96:81f:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | fc96:820::/28 | fc96:82f:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | fc96:830::/28 | fc96:83f:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | fc96:840::/28 | fc96:84f:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | fc96:850::/28 | fc96:85f:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | fc96:860::/28 | fc96:86f:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | fc96:870::/28 | fc96:87f:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | fc96:880::/28 | fc96:88f:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | fc96:890::/28 | fc96:89f:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | fc96:8a0::/28 | fc96:8af:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | fc96:8b0::/28 | fc96:8bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | fc96:8c0::/28 | fc96:8cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | fc96:8d0::/28 | fc96:8df:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | fc96:8e0::/28 | fc96:8ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | fc96:8f0::/28 | fc96:8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | fc96:900::/28 | fc96:90f:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | fc96:910::/28 | fc96:91f:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | fc96:920::/28 | fc96:92f:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | fc96:930::/28 | fc96:93f:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | fc96:940::/28 | fc96:94f:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | fc96:950::/28 | fc96:95f:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | fc96:960::/28 | fc96:96f:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | fc96:970::/28 | fc96:97f:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | fc96:980::/28 | fc96:98f:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | fc96:990::/28 | fc96:99f:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | fc96:9a0::/28 | fc96:9af:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | fc96:9b0::/28 | fc96:9bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | fc96:9c0::/28 | fc96:9cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | fc96:9d0::/28 | fc96:9df:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | fc96:9e0::/28 | fc96:9ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | fc96:9f0::/28 | fc96:9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | fc96:a00::/28 | fc96:a0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | fc96:a10::/28 | fc96:a1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | fc96:a20::/28 | fc96:a2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | fc96:a30::/28 | fc96:a3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | fc96:a40::/28 | fc96:a4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | fc96:a50::/28 | fc96:a5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | fc96:a60::/28 | fc96:a6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | fc96:a70::/28 | fc96:a7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | fc96:a80::/28 | fc96:a8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | fc96:a90::/28 | fc96:a9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | fc96:aa0::/28 | fc96:aaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | fc96:ab0::/28 | fc96:abf:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | fc96:ac0::/28 | fc96:acf:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | fc96:ad0::/28 | fc96:adf:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | fc96:ae0::/28 | fc96:aef:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | fc96:af0::/28 | fc96:aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | fc96:b00::/28 | fc96:b0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | fc96:b10::/28 | fc96:b1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | fc96:b20::/28 | fc96:b2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | fc96:b30::/28 | fc96:b3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | fc96:b40::/28 | fc96:b4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | fc96:b50::/28 | fc96:b5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | fc96:b60::/28 | fc96:b6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | fc96:b70::/28 | fc96:b7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | fc96:b80::/28 | fc96:b8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | fc96:b90::/28 | fc96:b9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | fc96:ba0::/28 | fc96:baf:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | fc96:bb0::/28 | fc96:bbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | fc96:bc0::/28 | fc96:bcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | fc96:bd0::/28 | fc96:bdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | fc96:be0::/28 | fc96:bef:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | fc96:bf0::/28 | fc96:bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | fc96:c00::/28 | fc96:c0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | fc96:c10::/28 | fc96:c1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | fc96:c20::/28 | fc96:c2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | fc96:c30::/28 | fc96:c3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | fc96:c40::/28 | fc96:c4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | fc96:c50::/28 | fc96:c5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | fc96:c60::/28 | fc96:c6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | fc96:c70::/28 | fc96:c7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | fc96:c80::/28 | fc96:c8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | fc96:c90::/28 | fc96:c9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | fc96:ca0::/28 | fc96:caf:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | fc96:cb0::/28 | fc96:cbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | fc96:cc0::/28 | fc96:ccf:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | fc96:cd0::/28 | fc96:cdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | fc96:ce0::/28 | fc96:cef:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | fc96:cf0::/28 | fc96:cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | fc96:d00::/28 | fc96:d0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | fc96:d10::/28 | fc96:d1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | fc96:d20::/28 | fc96:d2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | fc96:d30::/28 | fc96:d3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | fc96:d40::/28 | fc96:d4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | fc96:d50::/28 | fc96:d5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | fc96:d60::/28 | fc96:d6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | fc96:d70::/28 | fc96:d7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | fc96:d80::/28 | fc96:d8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | fc96:d90::/28 | fc96:d9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | fc96:da0::/28 | fc96:daf:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | fc96:db0::/28 | fc96:dbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | fc96:dc0::/28 | fc96:dcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | fc96:dd0::/28 | fc96:ddf:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | fc96:de0::/28 | fc96:def:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | fc96:df0::/28 | fc96:dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | fc96:e00::/28 | fc96:e0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | fc96:e10::/28 | fc96:e1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | fc96:e20::/28 | fc96:e2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | fc96:e30::/28 | fc96:e3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | fc96:e40::/28 | fc96:e4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | fc96:e50::/28 | fc96:e5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | fc96:e60::/28 | fc96:e6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | fc96:e70::/28 | fc96:e7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | fc96:e80::/28 | fc96:e8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | fc96:e90::/28 | fc96:e9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | fc96:ea0::/28 | fc96:eaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | fc96:eb0::/28 | fc96:ebf:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | fc96:ec0::/28 | fc96:ecf:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | fc96:ed0::/28 | fc96:edf:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | fc96:ee0::/28 | fc96:eef:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | fc96:ef0::/28 | fc96:eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | fc96:f00::/28 | fc96:f0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | fc96:f10::/28 | fc96:f1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | fc96:f20::/28 | fc96:f2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | fc96:f30::/28 | fc96:f3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | fc96:f40::/28 | fc96:f4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | fc96:f50::/28 | fc96:f5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | fc96:f60::/28 | fc96:f6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | fc96:f70::/28 | fc96:f7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | fc96:f80::/28 | fc96:f8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | fc96:f90::/28 | fc96:f9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | fc96:fa0::/28 | fc96:faf:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | fc96:fb0::/28 | fc96:fbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | fc96:fc0::/28 | fc96:fcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | fc96:fd0::/28 | fc96:fdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | fc96:fe0::/28 | fc96:fef:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | fc96:ff0::/28 | fc96:fff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |